# Copyright 2017, 2018 CA Technologies. All Rights Reserved.

from vcsconn.utils.chronuti import TimeStamp,ISO_FORMAT

class VSTSChangeset:

    def __init__(self, commit_data):
        self.ident            = commit_data['commitId']
        self.committer        = commit_data['committer']['name']
        self.committer_email  = commit_data['committer']['email']
        #self.commit_timestamp = commit_data['committer']['date']
        self.commit_timestamp = TimeStamp.fromFormattedString(commit_data['committer']['date'], ISO_FORMAT)
        self.message          = commit_data['comment']
        self.path             = commit_data['remoteUrl']
        self.rev_num = self.ident

    def __lt__(self, othr):
        #self_ts = TimeStamp.fromFormattedString(self.commit_timestamp, format=ISO_FORMAT)
        #othr_ts = TimeStamp.fromFormattedString(othr.commit_timestamp, format=ISO_FORMAT)
        #return  self_ts < othr_ts
        return self.commit_timestamp < othr.commit_timestamp

    def details(self):
        ident      = "Ident     : %s" % self.ident
        committer  = "Committer : %s" % self.committer
        committed  = "Committed : %s" % self.commit_timestamp.readable
        message    = "Message   : %s" % self.message

        elements = [ident, committer, committed, message]
        return elements
